## gate.jape
Interface JapeConstants

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BasicPatternElement, Batch, Constraint, ConstraintGroup, FSM, MultiPhaseTransducer, PatternElement, RightHandSide, Rule, SinglePhaseTransducer, State, LeftHandSide, ComplexPatternElement, ParseCpsl

public interface JapeConstants
extends Serializable

Constants interface for the JAPE package.

Field Summary
`static int` `APPELT_STYLE` Appelt-style rule application
`static int` `BRILL_STYLE` Brill-style rule application
`static int` `DEFAULT_PRIORITY` The default priority of a rule.
`static int` `FIRST_STYLE` Appelt-shortest-style rule application
`static int` `INDENT_PADDING` How far to increase indent when padding toString invocations.
`static int` `KLEENE_PLUS` Kleene plus (+)
`static int` `KLEENE_QUERY` Kleene query (?)
`static int` `KLEENE_STAR` Kleene star (*)
`static int` `MULTI_SPAN_BINDING`
`static int` `NO_BINDING` No binding on this element
`static int` `NO_KLEENE_OP` no Kleene operator
`static int` `SINGLE_SPAN_BINDING`

Field Detail

### NO_KLEENE_OP

    public static final int NO_KLEENE_OP

  no Kleene operator

### KLEENE_STAR

    public static final int KLEENE_STAR

  Kleene star (*)

### KLEENE_PLUS

    public static final int KLEENE_PLUS

  Kleene plus (+)

### KLEENE_QUERY

    public static final int KLEENE_QUERY

  Kleene query (?)

### NO_BINDING

    public static final int NO_BINDING

  No binding on this element

### MULTI_SPAN_BINDING

    public static final int MULTI_SPAN_BINDING

### SINGLE_SPAN_BINDING

    public static final int SINGLE_SPAN_BINDING

### BRILL_STYLE

    public static final int BRILL_STYLE

  Brill-style rule application

### APPELT_STYLE

    public static final int APPELT_STYLE

  Appelt-style rule application

### FIRST_STYLE

    public static final int FIRST_STYLE

  Appelt-shortest-style rule application

### DEFAULT_PRIORITY

    public static final int DEFAULT_PRIORITY

  The default priority of a rule.

### INDENT_PADDING

    public static final int INDENT_PADDING

  How far to increase indent when padding toString invocations.